'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');
// 版本
class VersionService extends CrudService {
  constructor(ctx) {
    super(ctx, 'version');
    this.model = this.ctx.model.Version;
  }
  async sync() {
    let points = await this.ctx.model.Point.find().exec();
    points = JSON.parse(JSON.stringify(points));
    points = points.map(i => _.omit(i, [ 'meta', '_id', '__v', 'id' ]));
    const obj = { name: '第一版', points };
    return await this.model.create(obj);

  }
}

module.exports = VersionService;
