'use strict';

module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  const profix = '/api/dispose/';
  const target = 'place';
  router.resources(target, `${profix}${target}`, controller[target]); // index、create、show、destroy
  router.post(target, `${profix}${target}/update/:id`, controller[target].update);
};
